import OverrideType from "../enums/OverrideType";

export default class Override {
	public Id: number = Number.MIN_VALUE;
	public OverrideType: OverrideType = OverrideType.Unknown;
	public Name: string = "";
	public ForURL: string = "";
	public CSSQuery: string = "";
	public CreatedByUserId: number = Number.MIN_VALUE;
	public CreatedDatetime: Date = new Date();
	public LastModifiedByUserId?: number;
	public LastModifiedDatetime?: Date;
	public DeletedByUserId?: number;
	public DeletedDatetime?: Date;
	public IsDeleted: boolean = false;
}