import OverrideType from "../enums/OverrideType";

export default class OverrideField {
	public Id: number = Number.MIN_VALUE;
	public OverrideId: number = Number.MIN_VALUE;
	public FieldName: string = "";
	public FieldValue: string = "";
	public CreatedByUserId: number = Number.MIN_VALUE;
	public CreatedDatetime: Date = new Date();
	public LastModifiedByUserId?: number;
	public LastModifiedDatetime?: Date;
	public DeletedByUserId?: number;
	public DeletedDatetime?: Date;
	public IsDeleted: boolean = false;
}