enum OverrideType {
	Unknown = 0,
	AddHtml = 10,
	AddLink = 20,
	ReplaceText = 30,
	ReplaceImage = 40,
	AddStyles = 50,
	ReplaceStyles = 60
}

// @ts-ignore
OverrideType.ToDescription = (overrideType: OverrideType) => {
	switch (overrideType) {
		case OverrideType.Unknown:
			return "Please Select...";
		case OverrideType.AddHtml:
			return "Add HTML";
		case OverrideType.AddLink:
			return "Add Link";
		case OverrideType.ReplaceText:
			return "Replace Text";
		case OverrideType.ReplaceImage:
			return "Replace Image";
		case OverrideType.AddStyles:
			return "Add Styles";
		case OverrideType.ReplaceStyles:
			return "Replace Styles";
	}
};

export default OverrideType;