import OverrideType from "../enums/OverrideType";

export default abstract class SelectUtility {
	public static EnumToSelectList(enumToList: any, selected?: any) {
		const keys = Object.keys(enumToList);
		let output: string = "";
		for (const key of keys) {
			const keyN = parseInt(key);
			if (!isNaN(keyN)) {
				// @ts-ignore
				output += `<option value="${keyN}"${selected && selected === keyN ? " selected" : ""}>${OverrideType.ToDescription(keyN)}</option>`;
			}
		}

		return output;
	}
}